Include compat.h to hopefully make it compatible with FreeBSD.